Bug 1252062 - gnutls: unsupported attributes in PKCS #11 URLs (rfc7512)
gnutls: unsupported attributes in PKCS #11 URLs (rfc7512)
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnutls (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Mavrogiannopoulos
Fedora Extras Quality Assurance
:
Depends On: 1251018
Blocks: 1379279
  Show dependency treegraph
 
Reported: 2015-08-10 11:21 EDT by Nikos Mavrogiannopoulos
Modified: 2017-02-28 04:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1379279 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2015-08-10 11:21:49 EDT
Description of problem:
The final version of rfc7512 has several attributes which are not supported by gnutls. These are:

1. slot-description: "slotDescription" member of CK_SLOT_INFO.
2. *slot-id: the numeric CK_SLOT_ID
3. slot-manufacturer: the corresponding member of CK_SLOT_INFO.
4. module-name: The name of the .so file
5. module-path: absolute path of the .so file

These can be used to restrict an object even more than possible with the existing URL members.
Comment 1 Jan Kurik 2016-02-24 08:36:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Jan Kurik 2016-07-26 00:50:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 3 Fedora End Of Life 2017-02-28 04:48:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.